Package gov.nasa.gsfc.sscweb.schema

# Class LocationFilter

java.lang.Object
gov.nasa.gsfc.sscweb.schema.LocationFilter

public class LocationFilter extends Object
Location filter listing options. <p>Java class for LocationFilter complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LocationFilter"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Minimum" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="Maximum" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="LowerLimit" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> <element name="UpperLimit" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Double`
  `lowerLimit`
  Specifies the lower limit of values that are to be included in the listing.
  `protected boolean`
  `maximum`
  Specifies whether the maximum value is to be marked by a "v" in the listing.
  `protected boolean`
  `minimum`
  Specifies whether the minimum value is to be marked by a "v" in the listing.
  `protected Double`
  `upperLimit`
  Specifies the upper limit of values that are to be included in the listing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getLowerLimit()`
  Specifies the lower limit of values that are to be included in the listing.
  `Double`
  `getUpperLimit()`
  Specifies the upper limit of values that are to be included in the listing.
  `boolean`
  `isMaximum()`
  Specifies whether the maximum value is to be marked by a "v" in the listing.
  `boolean`
  `isMinimum()`
  Specifies whether the minimum value is to be marked by a "v" in the listing.
  `void`
  `setLowerLimit(Double value)`
  Sets the value of the lowerLimit property.
  `void`
  `setMaximum(boolean value)`
  Sets the value of the maximum property.
  `void`
  `setMinimum(boolean value)`
  Sets the value of the minimum property.
  `void`
  `setUpperLimit(Double value)`
  Sets the value of the upperLimit property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### minimum

    protected boolean minimum
    Specifies whether the minimum value is to be marked by a "v" in the listing.

  - ### maximum

    protected boolean maximum
    Specifies whether the maximum value is to be marked by a "v" in the listing.

  - ### lowerLimit

    protected Double lowerLimit
    Specifies the lower limit of values that are to be included in the listing. The value is kilometer or degrees as applicable.

  - ### upperLimit

    protected Double upperLimit
    Specifies the upper limit of values that are to be included in the listing. The value is kilometer or degrees as applicable.

- ## Constructor Details

  - ### LocationFilter

    public LocationFilter()

- ## Method Details

  - ### isMinimum

    public boolean isMinimum()
    Specifies whether the minimum value is to be marked by a "v" in the listing.

  - ### setMinimum

    public void setMinimum(boolean value)
    Sets the value of the minimum property.

  - ### isMaximum

    public boolean isMaximum()
    Specifies whether the maximum value is to be marked by a "v" in the listing.

  - ### setMaximum

    public void setMaximum(boolean value)
    Sets the value of the maximum property.

  - ### getLowerLimit

    public Double getLowerLimit()
    Specifies the lower limit of values that are to be included in the listing. The value is kilometer or degrees as applicable.
    Returns:
      possible object is `Double`

  - ### setLowerLimit

    public void setLowerLimit(Double value)
    Sets the value of the lowerLimit property.
    Parameters:
      `value` - allowed object is `Double`
    See Also:
      - `getLowerLimit()`

  - ### getUpperLimit

    public Double getUpperLimit()
    Specifies the upper limit of values that are to be included in the listing. The value is kilometer or degrees as applicable.
    Returns:
      possible object is `Double`

  - ### setUpperLimit

    public void setUpperLimit(Double value)
    Sets the value of the upperLimit property.
    Parameters:
      `value` - allowed object is `Double`
    See Also:
      - `getUpperLimit()`